#include "arc.h"

arc::arc(void)
{
}

arc::arc(int hv, int tv, double tc, double sc, double d)
{
	head_vertex = hv;
	tail_vertex = tv;
	trav_cost = tc;
	serv_cost = sc;
	demand = d;
}

int arc::get_head()
{
	return head_vertex;
}

int arc::get_tail()
{
	return tail_vertex;
}

double arc::get_trav_cost()
{
	return trav_cost;
}

double arc::get_serv_cost()
{
	return serv_cost;
}

double arc::get_demand()
{
	return demand;
}

void arc::set_head(int hv)
{
	head_vertex = hv;
}

void arc::set_tail(int tv)
{
	tail_vertex = tv;
}

void arc::set_trav_cost(double tc)
{
	trav_cost = tc;
}

void arc::set_serv_cost(double sc)
{
	serv_cost = sc;
}

void arc::set_demand(double d)
{
	demand = d;
}

arc::~arc(void)
{
}
