#include "edge.h"

edge::edge(void)
{
}

edge::edge(int hv, int tv, double tc, double sc, double d)
{
	head_vertex = hv;
	tail_vertex = tv;
	trav_cost = tc;
	serv_cost = sc;
	demand = d;
}

int edge::get_head()
{
	return head_vertex;
}

int edge::get_tail()
{
	return tail_vertex;
}

double edge::get_trav_cost()
{
	return trav_cost;
}

double edge::get_serv_cost()
{
	return serv_cost;
}

double edge::get_demand()
{
	return demand;
}

void edge::set_head(int hv)
{
	head_vertex = hv;
}

void edge::set_tail(int tv)
{
	tail_vertex = tv;
}

void edge::set_trav_cost(double tc)
{
	trav_cost = tc;
}

void edge::set_serv_cost(double sc)
{
	serv_cost = sc;
}

void edge::set_demand(double d)
{
	demand = d;
}

edge::~edge(void)
{
}
