#pragma once

#include <float.h>

class link
{
public:
	link(void);
	link(int hv, int tv, double tc, double sc, double de, int dir);
	int get_head();
	int get_tail();
	double get_trav_cost();
	double get_serv_cost();
	double get_demand();
	int get_direction();
	void set_head(int hv);
	void set_tail(int tv);
	void set_trav_cost(double tc);
	void set_serv_cost(double sc);
	void set_demand(double de);
	void set_direction(int dir);
public:
	~link(void);
private:
	int head_vertex;
	int tail_vertex;
	double trav_cost;
	double serv_cost;
	double demand;
	int direction; // 1 and -1 indicate the positive and negative directions, while 0 means the link is undirected (an edge)
};
