#include "task.h"

task::task(void)
{
	head_vertex = 0;
	tail_vertex = 0;
	trav_cost = 0;
	serv_cost = 0;
	demand = 0;
	inv_task = 0;
}

task::task(int hv, int tv, double tc, double sc, double d, int inv)
{
	head_vertex = hv;
	tail_vertex = tv;
	trav_cost = tc;
	serv_cost = sc;
	demand = d;
	inv_task = inv;
}

int task::get_head()
{
	return head_vertex;
}

int task::get_tail()
{
	return tail_vertex;
}

double task::get_trav_cost()
{
	return trav_cost;
}

double task::get_serv_cost()
{
	return serv_cost;
}

double task::get_demand()
{
	return demand;
}

int task::get_inv_task()
{
	return inv_task;
}

void task::set_head(int hv)
{
	head_vertex = hv;
}

void task::set_tail(int tv)
{
	tail_vertex = tv;
}

void task::set_trav_cost(double tc)
{
	trav_cost = tc;
}

void task::set_serv_cost(double sc)
{
	serv_cost = sc;
}

void task::set_demand(double d)
{
	demand = d;
}

void task::set_inv_task(int inv)
{
	inv_task = inv;
}

task::~task(void)
{
}
