#pragma once

class edge
{
public:
	edge(void);
	edge(int hv, int tv, double tc, double sc, double d);
	int get_head();
	int get_tail();
	double get_trav_cost();
	double get_serv_cost();
	double get_demand();
	void set_head(int hv);
	void set_tail(int tv);
	void set_trav_cost(double tc);
	void set_serv_cost(double sc);
	void set_demand(double d);
public:
	~edge(void);
private:
	int head_vertex;
	int tail_vertex;
	double trav_cost;
	double serv_cost;
	double demand;
};
