#include "link.h"

link::link(void)
{
}

link::link(int hv, int tv, double tc, double sc, double de, int dir)
{
	head_vertex = hv;
	tail_vertex = tv;
	trav_cost = tc;
	serv_cost = sc;
	demand = de;
	direction = dir;
}

int link::get_head()
{
	return head_vertex;
}

int link::get_tail()
{
	return tail_vertex;
}

double link::get_trav_cost()
{
	return trav_cost;
}

double link::get_serv_cost()
{
	return serv_cost;
}

double link::get_demand()
{
	return demand;
}

int link::get_direction()
{
	return direction;
}

void link::set_head(int hv)
{
	head_vertex = hv;
}

void link::set_tail(int tv)
{
	tail_vertex = tv;
}

void link::set_trav_cost(double tc)
{
	trav_cost = tc;
}

void link::set_serv_cost(double sc)
{
	serv_cost = sc;
}

void link::set_demand(double de)
{
	demand = de;
}

void link::set_direction(int dir)
{
	direction = dir;
}

link::~link(void)
{
}
